internal::indexer_types< OutputTuple > Struct Template Reference

`#include <_flow_graph_indexer_impl.h>`

Inheritance diagram for internal::indexer_types< OutputTuple >:
Collaboration diagram for internal::indexer_types< OutputTuple >:

## Public Types

typedef input_types< N, OutputTuple >::type | output_type
typedef wrap_tuple_elements< N, indexer_input_port, OutputTuple >::type | input_ports_type
typedef internal::indexer_node_FE< input_ports_type, output_type, OutputTuple > | indexer_FE_type
typedef internal::indexer_node_base< input_ports_type, output_type, OutputTuple > | indexer_base_type

## Static Public Attributes

static const int | N = tbb::flow::tuple_size<OutputTuple>::value

## Detailed Description

### template<typename OutputTuple>
struct internal::indexer_types< OutputTuple >

Definition at line 457 of file _flow_graph_indexer_impl.h.

## Member Typedef Documentation

## indexer_base_type

template<typename OutputTuple >

typedef internal::indexer_node_base<input_ports_type, output_type, OutputTuple> internal::indexer_types< OutputTuple >::indexer_base_type

Definition at line 462 of file _flow_graph_indexer_impl.h.

## indexer_FE_type

template<typename OutputTuple >

typedef internal::indexer_node_FE<input_ports_type,output_type,OutputTuple> internal::indexer_types< OutputTuple >::indexer_FE_type

Definition at line 461 of file _flow_graph_indexer_impl.h.

## input_ports_type

template<typename OutputTuple >

typedef wrap_tuple_elements<N,indexer_input_port,OutputTuple>::type internal::indexer_types< OutputTuple >::input_ports_type

Definition at line 460 of file _flow_graph_indexer_impl.h.

## output_type

template<typename OutputTuple >

typedef input_types<N, OutputTuple>::type internal::indexer_types< OutputTuple >::output_type

Definition at line 459 of file _flow_graph_indexer_impl.h.

## Member Data Documentation

## N

template<typename OutputTuple >

const int internal::indexer_types< OutputTuple >::N = tbb::flow::tuple_size<OutputTuple>::value

static

Definition at line 458 of file _flow_graph_indexer_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_indexer_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.